%global pypi_name imageio

Name:           python-%{pypi_name}
Version:        2.22.4
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python library for reading and writing image data
License:        BSD
URL:            https://imageio.github.io/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Imageio is a Python library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%package -n python3-%{pypi_name}
Summary:        Python 3 library for reading and writing image data
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Imageio is a Python 3 library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
#rm -rf %%{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md docs
%license LICENSE
%{_bindir}/%{pypi_name}_download_bin
%{_bindir}/%{pypi_name}_remove_bin
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Nov 20 2022 daviddavid <daviddavid> 2.22.4-1.mga9
+ Revision: 1909551
- new version: 2.22.4

* Wed Mar 23 2022 umeabot <umeabot> 2.9.0-4.mga9
+ Revision: 1822400
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.9.0-3.mga9
+ Revision: 1773606
- Rebuild for python-3.10

* Sun Mar 21 2021 tv <tv> 2.9.0-2.mga9
+ Revision: 1706506
- Rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 2.9.0-1.mga9
+ Revision: 1691693
- new version: 2.9.0

* Mon Feb 17 2020 umeabot <umeabot> 2.6.1-2.mga8
+ Revision: 1537220
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1456005
- initial package python-imageio

